> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ListWorkerStatus

> Returns the status of one or more worker syncs. Deprecated: use "GET /v2/worker/syncs/{syncId}" or "GetWorkerSync", or the list "GET /v2/worker/syncs" ("QueryWorkerSyncs"), instead; the status is part of the sync.



**query** `ListWorkerStatus(syncId: ID): [WorkerSyncStatus!]!`

> Deprecated: This endpoint is deprecated.

## Arguments

**`syncId`**: `ID`

## Returns

`[WorkerSyncStatus!]!`

**`identifier`**: `ID!`

The unique identifier of a sync.

---

**`state`**: `SyncState!`

The current state of the sync.

---

**`progressText`**: `String`

The latest progress text reported by the sync.

---

**`progress`**: `Float!`

The progress in percent. A negative value indicates that no progress is reported.

---

**`lastSync`**: `DateTime!`

The timestamp of the last sync run.

---

**`nextSync`**: `DateTime!`

The timestamp of the next scheduled sync run.

## Examples

```graphql Query
query ListWorkerStatus {
  ListWorkerStatus {
    identifier
    state
    progressText
    progress
    lastSync
    nextSync
  }
}
```

```json Response
{
  "data": {
    "ListWorkerStatus": [
      {
        "identifier": "id",
        "state": "SUSPENDED",
        "progressText": "string",
        "progress": 1.5,
        "lastSync": "value",
        "nextSync": "value"
      }
    ]
  }
}
```
